layers(5).
width(0,8).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
width(1,8).
in_layer(1,n9).
in_layer(1,n10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
width(2,8).
in_layer(2,n17).
in_layer(2,n18).
in_layer(2,n19).
in_layer(2,n20).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
width(3,8).
in_layer(3,n25).
in_layer(3,n26).
in_layer(3,n27).
in_layer(3,n28).
in_layer(3,n29).
in_layer(3,n30).
in_layer(3,n31).
in_layer(3,n32).
width(4,8).
in_layer(4,n33).
in_layer(4,n34).
in_layer(4,n35).
in_layer(4,n36).
in_layer(4,n37).
in_layer(4,n38).
in_layer(4,n39).
in_layer(4,n40).
edge(n31,n33).
edge(n1,n16).
edge(n19,n29).
edge(n17,n26).
edge(n20,n29).
edge(n15,n21).
edge(n2,n11).
edge(n2,n16).
edge(n7,n14).
edge(n3,n10).
edge(n10,n22).
edge(n27,n40).
edge(n28,n39).
edge(n18,n30).
edge(n12,n18).
edge(n29,n38).
edge(n23,n27).
edge(n17,n29).
edge(n29,n36).
edge(n22,n32).
edge(n11,n19).
edge(n12,n23).
edge(n4,n9).
edge(n1,n10).
edge(n30,n40).
edge(n27,n36).
edge(n32,n38).
edge(n16,n19).
edge(n5,n15).
edge(n22,n31).
edge(n18,n27).
edge(n17,n31).
edge(n22,n25).
edge(n24,n31).
edge(n14,n19).
edge(n6,n10).
edge(n3,n16).
edge(n13,n20).
edge(n1,n13).
edge(n10,n19).
edge(n27,n33).
edge(n2,n13).
edge(n14,n17).
edge(n14,n20).
edge(n23,n29).
edge(n27,n38).
edge(n5,n14).
edge(n6,n13).
edge(n28,n36).
edge(n32,n33).
edge(n11,n24).
